###########################################################################
#
# win32 makefile -- gsdl
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

AR = lib
CC = cl
CPPFLAGS =

GSDLHOME = $(MAKEDIR)
USE_STLPORT = 0
LOCAL_LIBRARY = 0
DLL = 0
DLLDEBUG = 0

MDEFINES = /f win32.mak
COMPILE = $(CC) -c $(CPPFLAGS) $(DEFS) $(INCLUDES)

SOURCES = 

OBJECTS = 

OTHERDIRS = packages\windows\gdbm\gdbm packages\windows\crypt\crypt \
            packages\mg\lib src\mgpp\lib lib src\colservr

INSTALLDIRS = packages\mg\src\text src\mgpp\text src\recpt src\oaiservr \
		  src\hashfile src\db2txt src\txt2db

MAKECMD = $(MAKE) $(MDEFINES) GSDLHOME="$(GSDLHOME)"
!IF $(USE_STLPORT)
MAKECMD = $(MAKECMD) USE_STLPORT=1
!ENDIF
!IF $(LOCAL_LIBRARY)
MAKECMD = $(MAKECMD) LOCAL_LIBRARY=1
INSTALLDIRS = $(INSTALLDIRS) src\w32server
!ENDIF
!IF $(DLL)
MAKECMD = $(MAKECMD) DLL=1
!ENDIF
!IF $(DLLDEBUG)
MAKECMD = $(MAKECMD) DLLDEBUG=1
!ENDIF

MAKECLEANCMD = $(MAKE) $(MDEFINES) clean

all: win32.mak $(OTHERDIRS) $(INSTALLDIRS)

install: win32.mak $(INSTALLDIRS)

clean:
	cd packages\windows\crypt\crypt
	$(MAKECLEANCMD)
	cd "$(GSDLHOME)"
	cd packages\windows\gdbm\gdbm
	$(MAKECLEANCMD)
	cd "$(GSDLHOME)"
	cd lib
	$(MAKECLEANCMD)
	cd "$(GSDLHOME)"
	cd packages\mg\lib
	$(MAKECLEANCMD)
	cd "$(GSDLHOME)"
	cd packages\mg\src\text 
	$(MAKECLEANCMD)
	cd "$(GSDLHOME)"
	cd src\mgpp\lib
	$(MAKECLEANCMD)
	cd "$(GSDLHOME)"
	cd src\mgpp\text
	$(MAKECLEANCMD)
	cd "$(GSDLHOME)"
	cd src\colservr
	$(MAKECLEANCMD)
	cd "$(GSDLHOME)"
	cd src\recpt
	$(MAKECLEANCMD)
	cd "$(GSDLHOME)"
	cd src\oaiservr
	$(MAKECLEANCMD)
	cd "$(GSDLHOME)"
	cd src\w32server
	$(MAKECLEANCMD)
	cd "$(GSDLHOME)"

$(OTHERDIRS): FORCE
	cd "$@"
	$(MAKECMD)
	cd "$(GSDLHOME)"

$(INSTALLDIRS): FORCE
	cd "$@"
	$(MAKECMD)
	$(MAKECMD) install
	cd "$(GSDLHOME)"

FORCE:
